Quassel IRC - Bug #1250

Crash on resume
10/23/2013 04:29 AM - kitterma

Status: New Start date: 10/23/2013
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Any
Description

Application: Quassel IRC (quasselclient), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb209e7c0 (LWP 28067))]

Thread 6 (Thread 0xaf92eb40 (LWP 28068)):

#0 0xb3958c34 in __pthread_mutex_unlock_usercnt (mutex=0xaf000558, decr=1) at pthread_mutex_unlock.c:52

#1 0xb3a69c04 in pthread_mutex_unlock (mutex=0xaf000558) at forward.c:194

#2 0xb38babe0 in g_mutex_unlock (mutex=mutex@entry=0xaf0004e0) at /build/buildd/glib2.0-2.38.0/./glib/gthread-posix.c:232
#3 0xb387711e in g_main_context_prepare (context=context@entry=0xaf0004e0, priority=priority@entry=0xaf92e098) at
/build/buildd/glib2.0-2.38.0/./glib/gmain.c:3337

#4 0xb3877a4f in g_main_context_iterate (context=context@entry=0xaf0004e0, block=block@entry=1, dispatch=dispatch@entry=1,
self=<optimized out>) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3692

#5 0xb3877c98 in g_main_context_iteration (context=0xaf0004e0, may_block=1) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3773
#6 0xb73398df in QEventDispatcherGlib::processEvents (this=0xaf000468, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#7 0xb73089f3 in QEventLoop::processEvents (this=this@entry=0xaf92e1a8, flags=...) at kernel/geventloop.cpp:149

8 0xb7308d19 in QEventLoop::exec (this=this@entry=0xaf92e1a8, flags=...) at kernel/qeventloop.cpp:204

0xb71f7e3d in QThread::exec (this=this@entry=0xb89dbb80) at thread/qthread.cpp:542

10 0xb72e8e14 in QInotifyFileSystemWatcherEngine::run (this=0xb89dbb80) at io/gfilesystemwatcher_inotify.cpp:265

11 Oxb71fa72f in QThreadPrivate::start (arg=0xb89dbb80) at thread/qgthread_unix.cpp:338

12 0xb3955d78 in start_thread (arg=0xaf92eb40) at pthread_create.c:311

13 Oxb3a5c01e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131
Thread 5 (Thread Oxae5ffb40 (LWP 28070)):

#0 Oxb749a424 in _kernel_vsyscall ()

#1 0xb3a4a8db in read () at ../sysdeps/unix/syscall-template.S:81

#2 0xb38b9d3e in read (_nbytes=16, _ buf=0xae5ff12¢, _ fd=<optimized out>) at /usr/include/i386-linux-gnu/bits/unistd.h:44
#3 g_wakeup_acknowledge (wakeup=0xae600fe0) at /build/buildd/glib2.0-2.38.0/./glib/gwakeup.c:212

#4 0xb387764b in g_main_context_check (context=context@entry=0xae609178, max_priority=2147483647,
fds=fds@entry=0xadc02380, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3513

#5 0xb3877aea in g_main_context_iterate (context=0xae609178, block=block@entry=1, dispatch=dispatch@entry=1,
self=<optimized out>) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3709

#6 0xb387803b in g_main_loop_run (loop=0xae609158) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3906

7 0xb25celea in gdbus_shared_thread_func (user_data=0xae6065f0) at /build/buildd/glib2.0-2.38.0/./gio/gdbusprivate.c:278
0xb389dc3a in g_thread proxy (data=0xb8a5c3b0) at /build/buildd/glib2.0-2.38.0/./glib/gthread.c:798

0xb3955d78 in start_thread (arg=0xae5ffb40) at pthread_create.c:311

10 Oxb3a5c01e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131
Thread 4 (Thread 0xad651b40 (LWP 28078)):

#0 Oxb749a424 in __kernel_vsyscall ()

#1 0xb395984b in pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187

#2 0xb3a699bc in _ pthread_cond_wait (cond=0xb6511d90 <WTF::pageheap_memory+20720>, mutex=0xb6511d78
<WTF::pageheap_memory+20696>) at forward.c:149

#3 0xb5c97a7c in WTF::-TCMalloc_PageHeap::scavengerThread() () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4

#4 0xb5c97acf in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5 0xb3955d78 in start_thread (arg=0xad651b40) at pthread_create.c:311

0xb3a5c01e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131
Thread 3 (Thread Oxaefffb40 (LWP 28079)):
#0 g_main_context_prepare (context=context@entry=0xacd02000, priority=priority@entry=0xaefff0c8) at
/build/buildd/glib2.0-2.38.0/./glib/gmain.c:3323
#1 0xb3877a4f in g_main_context_iterate (context=context@entry=0xacd02000, block=block@entry=1,
dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3692

#2 0xb3877c98 in g_main_context_iteration (context=0xacd02000, may_block=1) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3773
#3 0xb73398df in QEventDispatcherGlib::processEvents (this=0xacd02118, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#4 0xb73089f3 in QEventLoop::processEvents (this=this@entry=0xaefff1d8, flags=...) at kernel/geventloop.cpp:149
#5 0xb7308d19 in QEventLoop::exec (this=this@entry=0xaefff1d8, flags=...) at kernel/geventloop.cpp:204

#6 0xb71f7e3d in QThread::exec (this=this@entry=0xb8fd7ae8) at thread/qthread.cpp:542

#7 Oxb71f7f8b in QThread::run (this=0xb8fd7ae8) at thread/qthread.cpp:609

#8 Oxb71fa72f in QThreadPrivate::start (arg=0xb8fd7ae8) at thread/qthread_unix.cpp:338

#9 0xb3955d78 in start_thread (arg=0xaefffb40) at pthread_create.c:311

#10 Oxb3a5c01e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0xab622b40 (LWP 28082)):

#0 Oxb749a424 in __ kernel_vsyscall ()

#1 0xb395984b in pthread_cond_wait@@GLIBC_2.3.2 () at

../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187

#2 0xb3a699bc in __ pthread_cond_wait (cond=0xacc537dc, mutex=0xacc537c4) at forward.c:149
0xb5cc6aeld in WTF::ThreadCondition::wait(WTF::Mutex&) () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4

0xb59a2744 in JSC::BlockAllocator::blockFreeingThreadMain() () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4

0xb5cad866 in WTF::threadEntryPoint(void*) () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4

0xb5cc6459 in WTF::wtfThreadEntryPoint(void*) () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4

0xb3955d78 in start_thread (arg=0xab622b40) at pthread_create.c:311

8 0xb3ab5c01e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131
Thread 1 (Thread 0xb209e7c0 (LWP 28067)):

[KCrash Handler]

#7 QMetaObiject::cast (this=this@entry=0xb7731f8c <ChatScene::staticMetaObject>, obj=0x6e) at kernel/gmetaobject.cpp:274
#8 0xb75c7e87 in qobject_cast<ChatScene*> (object=<optimized out>) at /usr/include/qt4/QtCore/qobject.h:380

#9 chatScene (this=0xbce1abb8) at /build/buildd/quassel-0.9.1/src/qtui/chatline.h:51

#10 chatView (this=0xbce1abb8) at /build/buildd/quassel-0.9.1/src/qtui/chatline.h:52

#11 ChatLine::~ChatLine (this=0xbce1abb8, __in_chrg=<optimized out>) at /build/buildd/quassel-0.9.1/src/qgtui/chatline.cpp:66
#12 0xb75c¢7f6¢ in ChatlLine::~ChatLine (this=0xbce1abb8, __in_chrg=<optimized out>) at
/build/buildd/quassel-0.9.1/src/qtui/chatline.cpp:68

#13 0xb75964a2 in ChatScene::rowsAboutToBeRemoved (this=0xbce0c7c8, parent=..., start=0, end=1537) at
/build/buildd/quassel-0.9.1/src/qtui/chatscene.cpp:476

#14 0xb75bd1f9 in ChatScene::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf8337d0, _c=<optimized out>)
at /build/buildd/quassel-0.9.1/0bj-i686-linux-gnu/src/qtui/moc_chatscene.cxx:138

#15 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xbcdf0080, m=m@entry=0xb74752f8
<QAbstractltemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0xbf8337d0) at
kernel/qobject.cpp:3539

#16 0xb736dea5 in QAbstractltemModel::rowsAboutToBeRemoved (this=this@entry=0xbcdf0080, _t1=..., _{2=_t2@entry=0,
_t3=_t8@entry=1537) at .moc/release-shared/moc_qabstractitemmodel.cpp:204

#17 0xb730075c in QAbstractltemModel::beginRemoveRows (this=this@entry=0xbcdf0080, parent=..., first=0, last=1537) at
kernel/qabstractitemmodel.cpp:2470

#18 0xb6e2e450 in QSortFilterProxyModelPrivate::remove_proxy_interval (this=this@entry=0xbcdf00a8, source_to_proxy=...,
proxy_to_source=..., proxy_start=0, proxy_end=1537, proxy_parent=..., orient=orient@entry=Qt::Vertical,
emit_signal=emit_signal@entry=true) at itemviews/qgsortfilterproxymodel.cpp:557

#19 0xb6e32a97 in QSortFilterProxyModelPrivate::remove_source_items (this=this@entry=0xbcdf00a8, source_to_proxy=...,
proxy_to_source=..., source_items=..., source_parent=..., orient=orient@entry=Qt::Vertical, emit_signal=emit_signal@entry=true) at
itemviews/qsortfilterproxymodel.cpp:539

#20 0xb6e32c98 in QSortFilterProxyModelPrivate::source_items_about_to_be_removed (this=this@entry=0xbcdf00a8,
source_parent=..., start=start@entry=0, end=end@entry=136999, orient=orient@entry=Qt::Vertical) at
itemviews/qsortfilterproxymodel.cpp:840

#21 0xb6e32d65 in QSortFilterProxyModelPrivate::_g_sourceRowsAboutToBeRemoved (this=0xbcdf00a8, source_parent=...,
start=0, end=136999) at itemviews/qgsortfilterproxymodel.cpp:1307

#22 0xb6e3459c in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf833a60,
_c=<optimized out>) at .moc/release-shared/moc_gsortfilterproxymodel.cpp:115

#23 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xb8793148, m=m@entry=0xb74752f8
<QAbstractitemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0xbf833a60) at
kernel/qobject.cpp:3539

#24 0xb736dea5 in QAbstractltemModel::rowsAboutToBeRemoved (this=this@entry=0xb8793148, _t1=..., t2=_t2@entry=0,
_t3=_t3@entry=136999) at .moc/release-shared/moc_gabstractitemmodel.cpp:204

#25 0xb730075c in QAbstractltemModel::beginRemoveRows (this=this@entry=0xb8793148, parent=..., first=first@entry=0,
last=136999) at kernel/qabstractitemmodel.cpp:2470

#26 0xb7637c5e in MessageModel::clear (this=0xb8793148) at /build/buildd/quassel-0.9.1/src/client/messagemodel.cpp:333
#27 0xb76154d6 in Client::setDisconnectedFromCore (this=0xb8801720) at /build/buildd/quassel-0.9.1/src/client/client.cpp:479
#28 0xb7615741 in Client::connectionStateChanged (this=<optimized out>, state=CoreConnection::Disconnected) at
/build/buildd/quassel-0.9.1/src/client/client.cpp:360

#29 0xb764d459 in Client::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf833c78, _c=<optimized out>) at

/build/buildd/quassel-0.9.1/0bj-i686-linux-gnu/src/client/moc_client.cxx:134

#30 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xb8821218, m=m@entry=0xb77365b8

<CoreConnection::staticMetaObject>, local_signal_index=Ilocal_signal_index@entry=0, argv=argv@entry=0xbf833c78) at

kernel/qobject.cpp:3539

#31 0xb7650735 in CoreConnection::stateChanged (this=this@entry=0xb8821218, _t1=_t1@entry=CoreConnection::Disconnected)

at /build/buildd/quassel-0.9.1/0bj-i686-linux-gnu/src/client/moc_coreconnection.cxx:284

#32 0xb7628424 in CoreConnection::setState (this=this@entry=0xb8821218, state=state@entry=CoreConnection::Disconnected) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:275

#33 0xb7628c9e in setState (state=CoreConnection::Disconnected, this=0xb8821218) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:273

#34 CoreConnection::setState (this=this@entry=0xb8821218, socketState=QAbstractSocket::ClosingState) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:267

#35 0xb7628ed2 in CoreConnection::socketStateChanged (this=0xb8821218, socketState=QAbstractSocket::ClosingState) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:246

#36 0xb76510d9 in CoreConnection::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf833e28, _c=<optimized

out>) at /build/buildd/quassel-0.9.1/0bj-i686-linux-gnu/src/client/moc_coreconnection.cxx:202

#37 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xb88dba90, m=m@entry=0xb66de818

<QAbstractSocket::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0xbf833e28) at

kernel/qobject.cpp:3539

#38 0xb6653455 in QAbstractSocket::stateChanged (this=this@entry=0xb88dba90, _t1=_t1@entry=QAbstractSocket::ClosingState)

at .moc/release-shared/moc_qabstractsocket.cpp:240

#39 0xb6674eb4 in QSslISocketPrivate::_q_stateChangedSlot (this=0xb9aa31b0, state=QAbstractSocket::ClosingState) at

ssl/gsslsocket.cpp:2170

#40 0xb667ac78 in QSsISocket::qt_static_metacall (_o=0x6e, _id=-1217184856, _a=0xbf833f48, _c=<optimized out>) at

.moc/release-shared/moc_gsslsocket.cpp:96

#41 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xbd665738, m=m@entry=0xb66de818

<QAbstractSocket::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0xbf833f48) at

kernel/qobject.cpp:3539

#42 0xb6653455 in QAbstractSocket::stateChanged (this=this@entry=0xbd665738, _t1=_t1@entry=QAbstractSocket::ClosingState)

at .moc/release-shared/moc_qabstractsocket.cpp:240

#43 0xb665b7ff in QAbstractSocket::disconnectFromHostimplementation (this=0xbd665738) at socket/qabstractsocket.cpp:2520

#44 0xb665c248 in QAbstractSocket::gt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf834094, _c=<optimized

out>) at .moc/release-shared/moc_gabstractsocket.cpp:168

#45 0xb73129a4 in QMetaMethod::invoke (this=this@entry=0xbf8341b4, object=0xbd665738, connectionType=<optimized out>,

returnValue=..., valO=..., vall=..., val2=..., val3=..., val4=..., val5=..., valé=..., val7=..., val8=..., val9=...) at

kernel/gmetaobject.cpp:1664

#46 0xb7314f83 in QMetaObject::invokeMethod (obj=obj@entry=0xbd665738, member=member@entry=0xb669587¢

"disconnectFromHostimplementation”, type=type@entry=Qt::DirectConnection, ret=..., valO=..., vali=..., val2=..., val3=..., val4=...,

valb=..., valé=..., val7=..., val8=..., val9=...) at kernel/gmetaobject.cpp:1179

#47 Oxb6652650 in mvokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., vali=..., valO=...,

type=Qt::DirectConnection, member= Oxb669587c "dlsconnectFromHostlmplementatlon" obj= obj@entry 0xbd665738) at
./../include/QtCore/../../src/corelib/kernel/qobjectdefs.h:418

#48 QAbstractSocket::disconnectFromHost (this=this@entry=0xbd665738) at socket/qabstractsocket.cpp:2467

#49 0xb665b619 in QAbstractSocket::close (this=0xbd665738) at socket/gabstractsocket.cpp:2445

#50 0xb667aeeb in QSslISocket::close (this=0xb88dba90) at ssl/gsslsocket.cpp:770

#51 0xb7629148 in CoreConnection::disconnectFromCore (this=0xb8821218, errorString=..., wantReconnect=true) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:364

#52 0xb7630f8f in CoreConnection::solidNetworkStatusChanged (this=0xb8821218, status=Solid::Networking::Unconnected) at

/build/buildd/quassel-0.9.1/src/client/coreconnection.cpp:190

#53 0xb7651631 in CoreConnection::gt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbf8346a8, _c=<optimized

out>) at /build/buildd/quassel-0.9.1/0bj-i686-linux-gnu/src/client/moc_coreconnection.cxx:235

#54 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xb8820ab0, m=m@entry=0xb3d11b78

<Solid::Networking::Notifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0xbf8346a8) at

kernel/qobject.cpp:3539

#55 0xb3c69935 in Solid::Networking::Notifier::statusChanged (this=0xb8820ab0, _t1=_t1@entry=Solid::Networking::Unconnected)

at ./networking.moc:104

#56 0xb3c69aab in Solid::NetworkingPrivate::serviceStatusChanged (this=0xb8820ab0, status=1) at

./../../solid/solid/networking.cpp:118

#57 0xb731efc7 in QMetaObject::activate (sender=sender@entry=0xb883b7a8, m=m@entry=0xb3d18db8

<OrgKdeSolidNetworkingClientInterface::staticMetaObject>, local_signal_index=Ilocal_signal_index@entry=0,

argv=argv@entry=0xbf8347b8) at kernel/qobject.cpp:3539

#58 0xb3cd9dfc in statusChanged (_t1=1, this=0xb883b7a8) at org_kde_solid_networking_client.moc:132

#59 OrgKdeSolidNetworkingClientInterface::qt_static_metacall (_0o=0xb883b7a8, _c=QMetaObject::InvokeMetaMethod, _id=0,

_a=0xbf83490c) at org_kde_solid_networking_client.moc:58

#60 Oxb3cda1c6 in OrgKdeSolidNetworkingClientinterface::qt_metacall (this=0xb883b7a8, _c=QMetaObject::InvokeMetaMethod,
_id=0, _a=0xbf83490c) at org_kde_solid_networking_client.moc:99

#61 0xb653cebe in QDBusConnectionPrivate::deliverCall (this=0xb86cffd0, object=object@entry=0xb883b7a8, msg-=...,
metaTypes=..., slotldx=5) at qdbusintegrator.cpp:951

#62 0xb6545f3d in QDBusCallDeliveryEvent::placeMetaCall (this=0xa29309b0, object=0xb883b7a8) at qdbusintegrator_p.h:103
#63 0xb732358b in QObject::event (this=0xb883b7a8, e=0xa29309b0) at kernel/qobject.cpp:1194

#64 0xb681b744 in QApplicationPrivate::notify _helper (this=0xb8692ce8, receiver=0xb883b7a8, e=0xa29309b0) at
kernel/qapplication.cpp:4567

#65 0xb6822223 in QApplication::notify (this=0xbf834fac, receiver=receiver@entry=0xb883b7a8, e=e@entry=0xa29309b0) at
kernel/qapplication.cpp:4353

#66 Oxb3eeeff4 in KApplication::notify (this=0xbf834fac, receiver=0xb883b7a8, event=0xa29309b0) at
../../kdeui/kernel/kapplication.cpp:311

#67 0xb7309eda in QCoreApplication::notifylnternal (this=0xbf834fac, receiver=receiver@entry=0xb883b7a8,
event=event@entry=0xa29309b0) at kernel/qcoreapplication.cpp:946

#68 0xb730d6ad in sendEvent (event=0xa29309b0, receiver=0xb883b7a8) at
./../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231

#69 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0,
data=0xb86720a0) at kernel/qcoreapplication.cpp:1570

#70 0xb730dbbc in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at
kernel/qcoreapplication.cpp:1463

#71 0xb7339f6e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236

#72 postEventSourceDispatch (s=s@entry=0xb86937d0) at kernel/geventdispatcher_glib.cpp:279

#73 0xb387782¢ in g_main_dispatch (context=0xb8694068, context@entry=0xb866db40) at
/build/buildd/glib2.0-2.38.0/./glib/gmain.c:3065

#74 g_main_context_dispatch (context=context@entry=0xb8694068) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3641

#75 0xb3877bd8 in g_main_context_iterate (context=context@entry=0xb8694068, block=block@entry=1,
dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3712

#76 0xb3877c98 in g_main_context_iteration (context=0xb8694068, may_block=1) at /build/buildd/glib2.0-2.38.0/./glib/gmain.c:3773
#77 0xb73398bf in QEventDispatcherGlib::processEvents (this=this@entry=0xb8672ed0, flags=...) at
kernel/geventdispatcher_glib.cpp:424

#78 0xb68d032¢e in QGuiEventDispatcherGlib::processEvents (this=0xb8672ed0, flags=...) at
kernel/qguieventdispatcher_glib.cpp:204

#79 0xb73089f3 in QEventLoop::processEvents (this=this@entry=0xbf834ed8, flags=...) at kernel/qeventloop.cpp:149

#80 0xb7308d19 in QEventLoop::exec (this=this@entry=0xbf834ed8, flags=...) at kernel/geventloop.cpp:204

#81 0xb730e89¢ in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218

#82 0xb6819974 in QApplication::exec () at kernel/qapplication.cpp:3828

#83 0xb74f9bd4 in main (argc=1, argv=0xbf835084) at /build/buildd/quassel-0.9.1/src/common/main.cpp:145

History

#1 - 03/01/2014 02:27 PM - Sputnick

- Assignee set to Sputnick

Hmm, is this reliably reproducable, and if so how?

| don't have a machine that can properly suspend/resume currently, but may find one elsewhere if the bug can be reproduced. Looking at the
backtrace | don't see what could be wrong; this qobject_cast() should never crash. So | want to rule out that it was a fluke first.

#2 - 03/02/2014 02:56 AM - kitterma

No, it's not reliably reproducible.
